@charset "utf-8";

/* ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
共通
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ */  
/* 背景色 */
.site-content {
    background-color: var(--base-1);
}

body:is(.page-salon , .blog) .site-content {
    padding-top: 0;
    padding-bottom: 0;
}

/* ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
ヘッダー
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ */  
/* カレント */
body:is(.single-post, .category, .tag) .inside-navigation ul:not(.sub-menu) li.news a {
	color: var(--accent);
}

.main-navigation li {
	font-family: shippori mincho;
}


/* ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
グロナビ
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ */  
/* ブランクアイコン */
#generate-slideout-menu li.menu-item.contact a::after ,
#generate-slideout-menu li.menu-item.price a::after {
    content: '\f08e';
    font-family: 'icomoon';
    margin-left: 6px;
	font-weight:normal;
	font-size: 14px;
}

/* ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
トップ > 英字スライド
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ */  
#home_concept::before ,
#home_recruit::before ,
#home_footer::before {
    animation: promo-slider-bottom 199900s linear infinite;
}

@keyframes promo-slider-bottom {
    from {
        background-position-x: 0;
    }

    to {
        background-position-x: -9999999px;
	}
}

/* ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
フッター
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ */  
/* ブランクアイコン */
#footer-widgets ul.menu li.contact a::after ,
#footer-widgets ul.menu li.price a::after {
	content: '\f08e';
	font-family: "icomoon";
	font-size: 12px;
	line-height: 1;
	padding-left: 8px;
}

/* フォント */
#footer-widgets ul.menu {
	font-family: shippori mincho;
}

#footer-widgets .sub-menu > li{
    font-weight: bold;
}

/* ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
ハンバーガーメニューのカスタマイズ(2023-03-13mk)
↓↓↓下記をまずは削除した上で、【https://coco-factory.jp/ugokuweb/move01-cat/humbugermenu/】から、お好みのボタンのCSSを追加
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ */
/*ボタン外側※レイアウトによってpositionや形状は適宜変更してください*/
.openbtn{
	position: relative;/*ボタン内側の基点となるためrelativeを指定*/
	background:transparent;
	cursor: pointer;
	width: 50px;
	height:50px;
	border-radius: 5px;
}

/*ボタン内側*/
.openbtn span{
	display: inline-block;
	transition: all .4s;/*アニメーションの設定*/
	position: absolute;
	left: 14px;
	height: 2px;
	border-radius: 2px;
  /*background:var(--main);*/
    background:var(--text);
	width: 45%;
}

.openbtn span:nth-of-type(1) {
	top:15px; 
}

.openbtn span:nth-of-type(2) {
	top:23px;
}

.openbtn span:nth-of-type(3) {
	top:31px;
}

/*activeクラスが付与されると線が回転して×に*/

.openbtn.active span:nth-of-type(1) {
	top: 18px;
	left: 18px;
	transform: translateY(6px) rotate(-45deg);
	width: 30%;
}

.openbtn.active span:nth-of-type(2) {
	opacity: 0;/*真ん中の線は透過*/
}

.openbtn.active span:nth-of-type(3){
	top: 30px;
	left: 18px;
	transform: translateY(-6px) rotate(45deg);
	width: 30%;
}